Bug 106294 - battstat causes system time to change
battstat causes system time to change
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-10-05 00:20 EDT by Roy Kidder
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Roy Kidder 2003-10-05 00:20:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Running RH9 on a Winbook XLi laptop. Shortly after loading battstat on the menu
bar, the system time falls behind by exactly 4 hours (to the second). The change
to the system time was verified with both the clock applet and via the "date"
command on the command line.

Even if I correct it by setting the clock back to the correct time, it will
again lose 4 hours within a few minutes. It doesn't drift, it happens instantly,
as if the clock was manually adjusted. The system does not use NTP or any other
time manipulation utility. 

Once the clock has lost the 4 hours, and I exit X, the system will lose another
4 hours once I go back into X resulting in a loss of 8 hours (to the second).
Unloading and reloading the applet alone didn't seem to have the same effect. I
had to exit and restart X.

Note that if I load the applet shortly after midnight, the clock adjusts the
time back by 4 hours and the date back by one day. For example, if the applet
exhibits this bug at 0:15:01 on October 3, the clock will change to 20:15:02
October 2. This may or may not point to an issue with timezone libraries...
although why would a battery monitor that doesn't predict runtime in minutes
care what time it is? Curious.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add battstat monitor to menu bar
2. Wait a few minutes

Actual Results:  System lost time (4 hours) every time the battstat applet was
added to the menu bar.

Expected Results:  Certainly the clock shouldn't change. I'm not getting
younger, after all. ;)

Additional info:

It's interesting to note that this behavior occured when I was logged into the
computer under a normal user account (not root). Only root should be able to
modify the system time.
Comment 1 Havoc Pennington 2003-10-05 00:58:33 EDT
Has to be a hardware/bios/kernel issue, I would think.
Comment 2 Roy Kidder 2003-10-05 18:50:56 EDT
I would tend to agree. Upon further investigation, the bug exhibits itself when
I activate the battery monitor in GKrellM (www.gkrellm.net) and even by simply
using the command line tool "apm".
Comment 3 Dave Jones 2003-10-08 21:32:56 EDT
Possibly an APM BIOS issue. Any update available ?

Another interesting experiment might be rebuilding a kernel with
CONFIG_APM_ALLOW_INTS=y and seeing if that makes a difference.
Comment 4 Roy Kidder 2003-10-08 22:20:35 EDT
I can try a new kernel with CONFIG_APM_ALLOW_INTS=y. Can you supply me with a
.config file for a stock RH kernel? 

Linux nomad 2.4.20-8 #1 Thu Mar 13 17:54:28 EST 2003 i686 i686 i386 GNU/Linux

Comment 5 Dave Jones 2003-10-08 22:49:09 EDT
You can find them in the kernel SRPM.
Just pick the one relevant to your system.
Comment 6 Roy Kidder 2003-10-09 08:07:19 EDT
I used the configs/kernel-2.4.20-i686.config and set CONFIG_APM_ALLOW_INTS=y and
then made a bzdisk. When I booted off the floppy, it halted as soon as it tried
to uncompress the kernel with the error "invalid compression format (err=2)",
which is a new one to me.

Any thoughts?
Comment 7 Bugzilla owner 2004-09-30 11:41:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.